import { camelize } from 'camelize-object-key';
import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import { defaultLayout } from '../.storybook/decorators';
import BlockComparisonTableV2 from './block-comparison-table-v2';
import store from '@/.storybook/store';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {};

export const controls = {
	color: [],
	number: [],
	json: [
		'items',
		'column2Image',
		'column2ImageMobile',
		'column3Image',
		'column3ImageMobile',
		'column4Image',
		'column4ImageMobile',
	],
};

<Meta
	title="Comparison Table V2"
	decorators={[defaultLayout]}
	component={BlockComparisonTableV2}
	argTypes={addControls(argTypes, controls)}
/>

# Comparison Table V2

This module is used on the filter landing page.

It is used to display a table that compares the specifications of Molekule's products.

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
	return {
		props: Object.keys(argTypes),
		components: { BlockComparisonTableV2 },
		template: '<block-comparison-table-v2 v-bind="$props" />',
		store,
	};
};

export const items = [
	{
		rowType: 'Column Headers',
		column1: [],
		column2: '<p>Air Mini &amp; Mini+</p>',
		column3: '<p>Molekule Air</p>',
		column4: '<p>Air Pro</p>',
	},
	{
		rowType: 'Column Headers',
		column1: [],
		column2: '<p>2 PECO-Filters</p>',
		column3: '<p>2 PECO-Filters &amp; 4 Pre-Filters</p>',
		column4: '<p>2 PECO-Filters</p>',
	},
	{
		rowType: 'Column Headers',
		column1: [],
		column2: '<p>shipped yearly</p>',
		column3: '<p>shipped yearly*</p>',
		column4: '<p>shipped yearly</p>',
	},
	{
		rowType: 'Normal',
		column1: '<p>Buying individually</p>',
		column2: '<p>$150/year</p>',
		column3: '<p>$280/year</p>',
		column4: '<p>$300/year</p>',
	},
	{
		rowType: 'Normal',
		column1: '<p>Auto-refills</p>',
		column2: '<p>$99/year</p>',
		column3: '<p>$129/year</p>',
		column4: '<p>$198/year</p>',
	},
];

<Canvas withSource="none">
	<Story
		name="default"
		args={{
			column2Image: {
				url:
					'https://images.prismic.io/molekule/efdc68c6-1b84-4a7f-a509-0c152adfe71c_Store+-+Air+Chart+thumb%406x.png?auto=compress,format',
				alt: null,
				copyright: null,
				width: 744,
				height: 744,
			},
			column2ImageMobile: {},
			column3Image: {
				url:
					'https://images.prismic.io/molekule/ad71dbf3-90e4-4500-8280-3e7197eddbc1_Store+-+Air+Mini+Chart+thumb%406x.png?auto=compress,format',
				alt: null,
				copyright: null,
				width: 744,
				height: 744,
			},
			column3ImageMobile: {},
			column4Image: {
				url:
					'https://images.prismic.io/molekule/1c5273d0-374b-4838-91f4-d9bed50fbb5b_Store+-+Air+Mini%2B+Chart+thumb%406x.png?auto=compress,format',
				alt: null,
				copyright: null,
				width: 744,
				height: 744,
			},
			column4ImageMobile: {},
			heading: 'Which Molekule purifier is right for you?',
			mobileRowHeader1: 'Buying individually',
			mobileRowHeader2: 'Auto-refills',
			description:
				'Tested at Aerosol Research and Engineering Laboratories in a 16 m³ chamber on MS2 Bacteriophage aerosolized droplets.',
			items: camelize(items),
		}}
	>
		{Template.bind({})}
	</Story>
</Canvas>

## Vue Component Props

<ArgsTable of={BlockComparisonTableV2} />
